package com.tofly.ghrq_route.module.download.controller;

import android.content.Context;

import com.tofly.ghrq_route.module.download.service.DownloadListCallback;
import com.tofly.ghrq_route.module.download.service.DownloadListService;
import com.tofly.ghrq_route.module.download.service.IDownloadListService;

/**
 * Created by lihualong on 2017/6/19.
 */

public class DownloadController {
    private Context context;
    private IDownloadListService iDownloadListService;

    public DownloadController(Context context) {
        this.context = context;
        this.iDownloadListService = new DownloadListService(context);
    }

    //    public void getDownloadList(String token, DownloadListCallback downloadListCallback){
//        this.iDownloadListService.downloadList(token,downloadListCallback);
//    }
    public void getDownloadList(DownloadListCallback downloadListCallback) {
        this.iDownloadListService.downloadList(downloadListCallback);
    }

    public void getDownloadList1(DownloadListCallback downloadListCallback) {
        this.iDownloadListService.downloadList1(downloadListCallback);
    }
}
